package tr.dhee.abox.demo.ui.switchcontrol;

import androidx.annotation.Nullable;

/**
 * Switch control result: success message or error message.
 */
class SwitchResult {
    @Nullable
    private String success;
    @Nullable
    private String error;

    SwitchResult(@Nullable String success, @Nullable String error) {
        this.success = success;
        this.error = error;
    }

    @Nullable
    String getSuccess() {
        return success;
    }

    @Nullable
    String getError() {
        return error;
    }
}
